/* global Drupal */

// Ensure $ is available: Foundation and select2 need to bind to it
import $ from 'jquery'
import select2 from 'select2'

import { Foundation, SmoothScroll, Toggler } from 'foundation-sites/js/foundation'
import { SelectTwo, AdaptiveSticky } from '@moreonion/foundation-base'

// Add the select2 to jQuery
// Needed for SelectTwo plugin
select2($)

// Add Foundation to jQuery
Foundation.addToJquery($)

// Configure Foundation
Foundation.plugin(SmoothScroll, 'SmoothScroll')
Foundation.plugin(Toggler, 'Toggler')
Foundation.plugin(SelectTwo, 'SelectTwo')
Foundation.plugin(AdaptiveSticky, 'AdaptiveSticky')

// Let foundation initialize the initial markup
// This needs to be done for dynamically loaded markup too (e.g. AJAX markup)
export function initFoundation () {
  if (typeof Drupal !== 'undefined') {
    Drupal.behaviors.foundist_initialize = {}
    Drupal.behaviors.foundist_initialize.attach = (context, settings) => {
      $(context).foundation()
    }
  } else {
    $(window.document).foundation()
  }
}
